## com.bbn.openmap.tools.beanbox
Class BeanLayoutManager

    java.lang.Object
      com.bbn.openmap.tools.beanbox.BeanLayoutManager

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NullLayout, WallFormationLayout

public abstract class BeanLayoutManager
extends java.lang.Object
implements java.io.Serializable

A BeanLayoutManager is a bean that manages the layout of a BeanContainer.

See Also:
  Serialized Form

Field Summary
`protected BeanContainer` `_container` BeanContainer whose contents are layed out using this layout manager.

Constructor Summary
`BeanLayoutManager()` default constructor needed for beanification.

Method Summary
`BeanContainer` `getContainer()` Gets the container associated with this layout manager.
`abstract void` `layoutContainer()` Called by the container to layout its contents.
`void` `setContainer(BeanContainer c)` sets the container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _container

    protected BeanContainer _container

  BeanContainer whose contents are layed out using this layout manager.

Constructor Detail

### BeanLayoutManager

    public BeanLayoutManager()

  default constructor needed for beanification.

Method Detail

### layoutContainer

    public abstract void layoutContainer()

  Called by the container to layout its contents. Default method does nothing.

### setContainer

    public void setContainer(BeanContainer c)

  sets the container.

### getContainer

    public BeanContainer getContainer()

  Gets the container associated with this layout manager.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details